/** @module ensure-start
 */
declare module "ensure-start" {
    /**
     * Ensures that a string or an array starts with specified value
     * @example
     * import ensureStart from "ensure-start"
     * ensureStart("cd", "ab")
     * // "abcd"
     * @example
     * import ensureStart from "ensure-start"
     * ensureStart(["ab"], ["c", "d"])
     * // ["c", "d", "ab"]
     * @function
     * @param {string|array} value String or array that should start with specified value
     * @param {string|array} ensuredStart The wanted start value
     * @returns {*} Cleaned value
     */
    export default function(value: string | any[], ensuredStart: string | any[]): any;
}